Bug 94916 - update: math/maxima
Summary: update: math/maxima
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-24 23:30 UTC by Scott Flatman
Modified: 2006-03-29 21:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Flatman 2006-03-24 23:30:15 UTC
	Update version.
	Remove stale run dependency on bash2.
	Supercedes PR ports/94517

Fix: --- maxima patch begins here ---


--------------050706070606000607020103----N98owYJiMH4botSGUebmoXiz4DJV9mfuYOzpHiYyRvzTSdcS
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN maxima.orig/Makefile maxima/Makefile
--- maxima.orig/Makefile	Mon Dec 26 21:41:42 2005
+++ maxima/Makefile	Fri Mar 24 15:02:06 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	maxima
-PORTVERSION=	5.9.2
+PORTVERSION=	5.9.3
 PORTREVISION=	0
 CATEGORIES=	math
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
@@ -19,11 +19,11 @@
 LIB_DEPENDS=	tk84:${PORTSDIR}/x11-toolkits/tk84
 RUN_DEPENDS=	${LOCALBASE}/bin/${LISPPORT} \
 		${LOCALBASE}/bin/gnuplot:${PORTSDIR}/math/gnuplot \
-		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash2
+		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
 
 USE_XLIB=	yes
 USE_GMAKE=	yes
-USE_AUTOTOOLS=	automake:14 autoconf:259
+USE_AUTOTOOLS=	automake:19 autoconf:259
 CONFIGURE_ARGS+=	--prefix=${PREFIX} \
 			--with-posix-shell=${LOCALBASE}/bin/bash \
 			--with-wish=${LOCALBASE}/bin/wish8.4 \
diff -ruN maxima.orig/distinfo maxima/distinfo
--- maxima.orig/distinfo	Mon Dec 26 21:41:42 2005
+++ maxima/distinfo	Fri Mar 24 15:02:06 2006
@@ -1,3 +1,3 @@
-MD5 (maxima-5.9.2.tar.gz) = dff996cd5c2c0c871977a26e6fb001f3
-SHA256 (maxima-5.9.2.tar.gz) = 6a6421ab561914445680bb7707e65577ee6789b4348f95be8c8e2750600cd7a0
-SIZE (maxima-5.9.2.tar.gz) = 5525687
+MD5 (maxima-5.9.3.tar.gz) = e6388632d91722bb0607914bdabc72f6
+SHA256 (maxima-5.9.3.tar.gz) = 1807e46e12b5968ac70643eee32a3479fc06035613086d85366610440842abb9
+SIZE (maxima-5.3.2.tar.gz) = 8629022
diff -ruN maxima.orig/pkg-plist maxima/pkg-plist
--- maxima.orig/pkg-plist	Thu Jan  5 16:46:04 2006
+++ maxima/pkg-plist	Fri Mar 24 15:02:06 2006
@@ -24,6 +24,7 @@
 %%DATADIR%%/%%PORTVERSION%%/doc/EMaximaIntro.ps
 %%DATADIR%%/%%PORTVERSION%%/doc/contributors
 %%DATADIR%%/%%PORTVERSION%%/doc/html/intromax.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_1.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_10.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_11.html
@@ -64,11 +65,23 @@
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_43.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_44.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_45.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_46.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_47.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_48.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_49.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_5.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_50.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_51.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_52.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_53.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_54.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_55.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_6.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_7.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_8.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_9.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_abt.html
+%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_ovr.html
 %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_toc.html
 %%DATADIR%%/%%PORTVERSION%%/doc/implementation/dir_vars.txt
 %%DATADIR%%/%%PORTVERSION%%/doc/implementation/external-interface.txt
@@ -86,7 +99,6 @@
 %%DATADIR%%/%%PORTVERSION%%/doc/share/bessel.usg
 %%DATADIR%%/%%PORTVERSION%%/doc/share/brchre.txt
 %%DATADIR%%/%%PORTVERSION%%/doc/share/rombrg.usg
-%%DATADIR%%/%%PORTVERSION%%/doc/share/specfun.texi
 %%DATADIR%%/%%PORTVERSION%%/doc/share/translation_hints.txt
 %%DATADIR%%/%%PORTVERSION%%/emacs/bookmode.el
 %%DATADIR%%/%%PORTVERSION%%/emacs/dbl.el
@@ -153,6 +165,7 @@
 %%DATADIR%%/%%PORTVERSION%%/share/algebra/solver/solver1-en.html
 %%DATADIR%%/%%PORTVERSION%%/share/algebra/solver/solver1.pdf
 %%DATADIR%%/%%PORTVERSION%%/share/algebra/solver/test.mac
+%%DATADIR%%/%%PORTVERSION%%/share/builtins-list.txt
 %%DATADIR%%/%%PORTVERSION%%/share/calculus/asympa.mac
 %%DATADIR%%/%%PORTVERSION%%/share/calculus/cartan.dem
 %%DATADIR%%/%%PORTVERSION%%/share/calculus/cartan.lisp
@@ -180,21 +193,18 @@
 %%DATADIR%%/%%PORTVERSION%%/share/calculus/qualsp.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/calculus/revert.mac
 %%DATADIR%%/%%PORTVERSION%%/share/calculus/taylor1.mac
-%%DATADIR%%/%%PORTVERSION%%/share/combinatorics/comgen.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/combinatorics/permut.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/combinatorics/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/grobner-demo.output
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/grobner.demo
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/maxima-grobner.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/grobner.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/Gosper.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/GosperEq.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/LOADZeilberger.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/Zeilberger.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/algUtil.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/compare_sums.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/compatible.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/constants.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/linearAlgebra.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/makeGosperForm.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/norm.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/numerical.mac
@@ -204,29 +214,22 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/testGosper.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/testZeilberger.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/whatsnew.txt
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger.texi
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger_algorithm.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger_linear_algebra.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/augmented_lagrangian.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/bode.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/cholesky.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/contrib.texi
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/defstruct.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/biomed.data
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/descriptive.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/barsplot1.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/barsplot2.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/boxplot1.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/boxplot2.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot1.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot2.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot3.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot4.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot5.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot6.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/descriptive_en.tex
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/descriptive_es.tex
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/histogram1.eps
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/histogram2.eps
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/descriptive.texi
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/pidigits.data
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/wind.data
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/diag.dem
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/devine.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diag.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/diag.usg
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/contrib_ode.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/contrib_ode.usg
@@ -261,12 +264,11 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests/rtestode_murphy_2_4.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests/rtestode_murphy_2_5.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests/testsuite.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/distrib.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/doc/distrib_en.tex
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/distrib.texi
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/numdistrib.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/eval_string.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/f90.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/f90.usg
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/format/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/format/autoload-m.macsyma
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/format/autoload-mp.macsyma
@@ -340,9 +342,11 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/test/type.output
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/vaxinit.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/vaxlsp.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/ggf.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/ifactor.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/impdiff.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/lindstedt.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/lsquares.dem
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/log10.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/lsquares.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/lurkmathml/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/lurkmathml/mathml.lisp
@@ -361,7 +365,6 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/mcclim/listeneroutput.png
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/mcclim/maxima-repl-mcclim.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/mcclim/postscriptoutput.png
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/mnewton.dem
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/mnewton.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/nset/README
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/nset/announce-1.2.txt
@@ -377,6 +380,8 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/is_equal_array.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/my_flatten.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/numericalio.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/numericalio.texi
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/pipe.data
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/ragged.data
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/ragged.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/really-csv.data
@@ -384,15 +389,15 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/rectangular.csv
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/rectangular.data
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/rectangular.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/semicolon.data
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/separators.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/opsubst.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/battex.sty
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/history.txt
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/pdiff-doc.pdf
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/pdiff-doc.tex
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/pdiff.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/plotdf.dem
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/plotdf.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/plotdf.usg
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/plsquares.dem
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/plsquares.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/rand/Avg3.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/rand/Demo.bk1
@@ -452,14 +457,39 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/aliases.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/constants.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/examples.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/linearAlgebra.mac
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/loadSARAG.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/lowLevel.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/readme.txt
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/rootCounting.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/rootIsolation.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/sarag.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/sarag_linear_algebra.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/settings.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/signDetermination.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Readme.txt
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/Readme.txt
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/adlittle_A.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/adlittle_b.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/adlittle_c.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/afiro_A.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/afiro_b.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/afiro_c.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/kb2_A.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/kb2_b.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/kb2_c.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/klee_minty.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/sc50a_A.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/sc50a_b.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/sc50a_c.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/share2b_A.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/share2b_b.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/share2b_c.csv
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/minimize_sx.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/simplex.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/simplex.texi
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/simplex_algorithm.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec/solve_rec.dem
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec/solve_rec.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec/solve_rec.texi
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/a.cir
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/b.cir
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/c.cir
@@ -469,6 +499,10 @@
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/sortem.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/state.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/tree.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/stirling.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc/rteststringproc.mac
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc/stringproc.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc/stringproc.texi
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit/unit-functions.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit/unit.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit/unit.texi
@@ -494,16 +528,21 @@
 %%DATADIR%%/%%PORTVERSION%%/share/integration/delta.mac
 %%DATADIR%%/%%PORTVERSION%%/share/integration/delta.usg
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/announcement.txt
-%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/conjugate.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/eigens-by-jacobi.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg-extra.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg-utilities.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg.demo
-%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg.mac
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg.usage
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalgcholesky.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linearalgebra.demo
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linearalgebra.mac
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linearalgebra.texi
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/lu.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/matrixexp.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/matrixexp.usage
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/mring.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/polynomialp.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-conjugate.mac
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-cholesky.mac
+%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-eigens-by-jacobi.mac
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-linalg.mac
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-lu.mac
 %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-matrixexp.mac
@@ -586,6 +625,15 @@
 %%DATADIR%%/%%PORTVERSION%%/share/numeric/simpsn.mac
 %%DATADIR%%/%%PORTVERSION%%/share/numeric/submac.dem
 %%DATADIR%%/%%PORTVERSION%%/share/numeric/submac.mac
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/Makefile.am
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/README
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/changes_0.9_to_0.94.txt
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/h_atom.dem
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/orthopoly-init.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/orthopoly.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/orthopoly.texi
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/test_orthopoly.mac
+%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/variational_method.dem
 %%DATADIR%%/%%PORTVERSION%%/share/physics/battex.sty
 %%DATADIR%%/%%PORTVERSION%%/share/physics/dimen.dem
 %%DATADIR%%/%%PORTVERSION%%/share/physics/dimen.mac
@@ -602,50 +650,29 @@
 %%DATADIR%%/%%PORTVERSION%%/share/share.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/absimp.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/absimp.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/absimp.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/disol.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/disol.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/disol.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/elim.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/elim.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/facex1.mac
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/facexp.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/facexp.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/facexp.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/functs.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/functs.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/functs.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/genut.mac
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/ineq.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/ineq.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/ineq.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/lrats.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/lrats.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/lrats.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/rducon.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/rducon.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/rducon.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/rncomb.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/rncomb.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/rncomb.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/scifac.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/scifac.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/scifac.usg
+%%DATADIR%%/%%PORTVERSION%%/share/simplification/simplification.texi
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/sqdnst.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/sqdnst.usg
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/stopex.dem
 %%DATADIR%%/%%PORTVERSION%%/share/simplification/stopex.mac
-%%DATADIR%%/%%PORTVERSION%%/share/simplification/stopex.usg
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/airy.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/ellipt.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/ellipt.usg
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/gamma.mac
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/h-atom.dem
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/kn.mac
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/specfun.mac
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/specfun.usg
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/test_specfun.mac
-%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/variational_method.dem
 %%DATADIR%%/%%PORTVERSION%%/share/sym/arite.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/sym/chbase.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/sym/compile.lisp
@@ -676,6 +703,7 @@
 %%DATADIR%%/%%PORTVERSION%%/share/sym/treillis.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/sym/tri.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/sym/util.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/template.texi
 %%DATADIR%%/%%PORTVERSION%%/share/tensor/ademo.dem
 %%DATADIR%%/%%PORTVERSION%%/share/tensor/adsitter.dem
 %%DATADIR%%/%%PORTVERSION%%/share/tensor/allnutt.dem
@@ -766,6 +794,7 @@
 %%DATADIR%%/%%PORTVERSION%%/src/command-line.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/compar.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/compat.lisp
+%%DATADIR%%/%%PORTVERSION%%/src/conjugate.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/cpoly.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/csimp.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/csimp2.lisp
@@ -817,6 +846,7 @@
 %%DATADIR%%/%%PORTVERSION%%/src/max_ext.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/maxima-package.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/maxmac.lisp
+%%DATADIR%%/%%PORTVERSION%%/src/maxmin.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/mdebug.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/mdefun.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/mdot.lisp
@@ -852,6 +882,7 @@
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9b0mp.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9b1mp.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9lgmc.lisp
+%%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9upak.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dai.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/daie.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dasyik.lisp
@@ -921,6 +952,7 @@
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dqwgtc.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dqwgtf.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dqwgts.lisp
+%%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dspenc.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dyairy.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/fdump.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/initds.lisp
@@ -970,8 +1002,8 @@
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/zuoik.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/zwrsk.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numerm.lisp
+%%DATADIR%%/%%PORTVERSION%%/src/nummod.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/numth.lisp
-%%DATADIR%%/%%PORTVERSION%%/src/nusum.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/ode2.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/opers.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/optim.lisp
@@ -1069,20 +1101,30 @@
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest8.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest9.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest9a.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_allnummod.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_diff_invtrig.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_everysome.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_scalarp.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_trig.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_zeta.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtestconjugate.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtesthyp.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtestmcond_display.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtestmt19937.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtestnset.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtestode.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtestode_zp.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtestsum.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/testsuite.lisp
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/demos.html
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/examples.html
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/intro.html
+%%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-icon.gif
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-icon.ico
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-icon.png
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-new.gif
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-new.png
+%%DATADIR%%/%%PORTVERSION%%/xmaxima/msgs/es.msg
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/msgs/ru.msg
 %%DATADIR%%/%%PORTVERSION%%/xmaxima/plotmaxima.html
 @dirrm %%DATADIR%%/%%PORTVERSION%%/xmaxima/msgs
@@ -1097,9 +1139,9 @@
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/tensor/tests
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/tensor
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/sym
-@dirrm %%DATADIR%%/%%PORTVERSION%%/share/specfunctions
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/simplification
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/physics
+@dirrm %%DATADIR%%/%%PORTVERSION%%/share/orthopoly
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/numeric
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/misc
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/matrix
@@ -1109,7 +1151,11 @@
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/integequations
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/diffequations
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit
+@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/state
+@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec
+@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests
+@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/rand
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff
@@ -1122,11 +1168,9 @@
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/man
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/format
-@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/doc
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations
-@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger
 @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner
@@ -1150,6 +1194,6 @@
 @dirrm %%DATADIR%%
 @dirrm libexec/maxima/%%PORTVERSION%%
 @dirrm libexec/maxima
-@dirrm lib/maxima/%%PORTVERSION%%/%%BINDIR%%
+@dirrm lib/maxima/%%PORTVERSION%%/binary-sbcl
 @dirrm lib/maxima/%%PORTVERSION%%
 @dirrm lib/maxima
--- maxima patch ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2006-03-24 23:32:09 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer)
Comment 2 Thierry Thomas freebsd_committer 2006-03-27 23:05:16 UTC
State Changed
From-To: open->feedback


This port installs some unregistered info files: 

=== Checking filesystem state 
list of extra files and directories in / (not present before this port was installed but present after it was deinstalled) 
474006       68 -r--r--r--    1 root             wheel               34373 Mar 27 20:55 usr/local/info/stringproc.info 
474004       16 -r--r--r--    1 root             wheel                7605 Mar 27 20:55 usr/local/info/numericalio.info 
474009      112 -r--r--r--    1 root             wheel               56137 Mar 27 20:55 usr/local/info/descriptive.info 
474016      208 -r--r--r--    1 root             wheel              105960 Mar 27 20:55 usr/local/info/distrib.info 
474022       24 -r--r--r--    1 root             wheel               10451 Mar 27 20:55 usr/local/info/solve_rec.info 
474023       12 -r--r--r--    1 root             wheel                5560 Mar 27 20:55 usr/local/info/simplex.info 
474024      132 -r--r--r--    1 root             wheel               67299 Mar 27 20:55 usr/local/info/contrib.info 
474025       68 -r--r--r--    1 root             wheel               33183 Mar 27 20:55 usr/local/info/linearalgebra.info 
474029       60 -r--r--r--    1 root             wheel               29580 Mar 27 20:55 usr/local/info/orthopoly.info 
474112       48 -r--r--r--    1 root             wheel               22546 Mar 27 20:55 usr/local/info/simplification.info 
================================================================ 
build ended at Mon Mar 27 21:00:43 UTC 2006 

Could you please check it? 

Regards, 
--  
Th. Thomas 



Comment 3 Thierry Thomas freebsd_committer 2006-03-27 23:05:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 4 Thierry Thomas freebsd_committer 2006-03-28 06:46:18 UTC
Le Mar 28 mar 06 à  3:23:06 +0200, Scott Flatman <sf@slappy.org>
 écrivait :
> Ok. I found a solution that almost works. I used the INFO_PATH variable 
> to install all the .info files with maxima instead of /usr/local/info.
> 
> I can get everything to work except the deinstall gives me this sort of 
> error for each of the above:
> 
> install-info: warning: no entries found for 
> `/usr/local/share/maxima/5.9.3/doc/info/stringproc.info'; nothing deleted
> 
> Except the file is deleted.
> 
> So I looked in the output from install:
> 
>  install  -o root -g wheel -m 444 './stringproc.info' 
> '/usr/local/share/maxima/5
> .9.3/doc/info/stringproc.info'
>  install-info --info-dir='/usr/local/share/maxima/5.9.3/doc/info' 
> '/usr/local/sh
> are/maxima/5.9.3/doc/info/stringproc.info'
> install-info: warning: no info dir entry in 
> `/usr/local/share/maxima/5.9.3/doc/i
> nfo/stringproc.info'
> 
> The "no info dir entry" means that the .info file isn't created 
> correctly. The only .info file that is is maxima.info, the rest don't 
> have the same info at the top:
> 
> START-INFO-DIR-ENTRY
> * Maxima: (maxima).     A computer algebra system.
> END-INFO-DIR-ENTRY
> 
> That's something to do with how the GNU info system works. I know 
> nothing about that, it's beyond my ken.
> 
> I believe this is a problem with Maxima itself and not a FreeBSD thing. 
> I will go back to how I did things in the past, I'll just blast away all 
> the *.info files before the install.
> 
> If that's an appropriate solution?

Yes, since this port already installs a lot of documentation, I think
that this is acceptable - and as maintainer, you are the better judge.
-- 
Th. Thomas.
Comment 5 Thierry Thomas freebsd_committer 2006-03-28 20:20:21 UTC
On Mar 28 mar 06 at 4:19:34 +0200, Scott Flatman <sf@slappy.org>
 wrote:
> >Ok. I found a solution that almost works. I used the INFO_PATH variable 
> >to install all the .info files with maxima instead of /usr/local/info.
> >
> >I can get everything to work except the deinstall gives me this sort of 
> >error for each of the above:
> >
> >install-info: warning: no entries found for 
> >`/usr/local/share/maxima/5.9.3/doc/info/stringproc.info'; nothing deleted
> >
> >Except the file is deleted.
> >
> >So I looked in the output from install:
> >
> > install  -o root -g wheel -m 444 './stringproc.info' 
> >'/usr/local/share/maxima/5
> >.9.3/doc/info/stringproc.info'
> > install-info --info-dir='/usr/local/share/maxima/5.9.3/doc/info' 
> >'/usr/local/sh
> >are/maxima/5.9.3/doc/info/stringproc.info'
> >install-info: warning: no info dir entry in 
> >`/usr/local/share/maxima/5.9.3/doc/i
> >nfo/stringproc.info'
> >
> >The "no info dir entry" means that the .info file isn't created 
> >correctly. The only .info file that is is maxima.info, the rest don't 
> >have the same info at the top:
> >
> >START-INFO-DIR-ENTRY
> >* Maxima: (maxima).     A computer algebra system.
> >END-INFO-DIR-ENTRY
> >
> >That's something to do with how the GNU info system works. I know 
> >nothing about that, it's beyond my ken.
> >
> >I believe this is a problem with Maxima itself and not a FreeBSD thing. 
> >I will go back to how I did things in the past, I'll just blast away all 
> >the *.info files before the install.
> >
> >If that's an appropriate solution?
> 
> I went ahead with this. It seems to build/install/deinstall fine. Diff 
> attached.
> 
> Thanks.

> diff -ruN maxima.orig/Makefile maxima/Makefile
> --- maxima.orig/Makefile	Mon Dec 26 21:41:42 2005
> +++ maxima/Makefile	Mon Mar 27 18:07:52 2006
> @@ -6,7 +6,7 @@
>  #
>  
>  PORTNAME=	maxima
> -PORTVERSION=	5.9.2
> +PORTVERSION=	5.9.3
>  PORTREVISION=	0
>  CATEGORIES=	math
>  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
> @@ -19,11 +19,11 @@
>  LIB_DEPENDS=	tk84:${PORTSDIR}/x11-toolkits/tk84
>  RUN_DEPENDS=	${LOCALBASE}/bin/${LISPPORT} \
>  		${LOCALBASE}/bin/gnuplot:${PORTSDIR}/math/gnuplot \
> -		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash2
> +		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
>  
>  USE_XLIB=	yes
>  USE_GMAKE=	yes
> -USE_AUTOTOOLS=	automake:14 autoconf:259
> +USE_AUTOTOOLS=	automake:19 autoconf:259
>  CONFIGURE_ARGS+=	--prefix=${PREFIX} \
>  			--with-posix-shell=${LOCALBASE}/bin/bash \
>  			--with-wish=${LOCALBASE}/bin/wish8.4 \
> @@ -31,8 +31,8 @@
>  # don't pass "-s" to install to avoid trying to strip a shell script
>  CONFIGURE_ENV=	INSTALL_PROGRAM="${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}"
>  
> -MAN1=		maxima.1
> -INFO=		maxima
> +MAN1=	maxima.1
> +INFO=	maxima
>  
>  PLIST_SUB=	BINDIR=${BINDIRECTORY}
>  PLIST_SUB+=	LISPBIN=${LISPBINARY}
> @@ -92,7 +92,16 @@
>  	@${ECHO} "  WITH_SBCL    Build with Steel Bank Common Lisp (default)"
>  	@${ECHO} ""
>  
> -post-extract:
> -		@${RM} -f ${WRKSRC}/doc/info/*.info*
> +post-install:
> +	@${RM} -f ${PREFIX}/info/contrib.info
> +	@${RM} -f ${PREFIX}/info/descriptive.info
> +	@${RM} -f ${PREFIX}/info/distrib.info
> +	@${RM} -f ${PREFIX}/info/numericalio.info
> +	@${RM} -f ${PREFIX}/info/simplex.info
> +	@${RM} -f ${PREFIX}/info/solve_rec.info
> +	@${RM} -f ${PREFIX}/info/stringproc.info
> +	@${RM} -f ${PREFIX}/info/linearalgebra.info
> +	@${RM} -f ${PREFIX}/info/orthopoly.info
> +	@${RM} -f ${PREFIX}/info/simplification.info
>  
>  .include <bsd.port.post.mk>
> diff -ruN maxima.orig/distinfo maxima/distinfo
> --- maxima.orig/distinfo	Mon Dec 26 21:41:42 2005
> +++ maxima/distinfo	Mon Mar 27 18:07:52 2006
> @@ -1,3 +1,3 @@
> -MD5 (maxima-5.9.2.tar.gz) = dff996cd5c2c0c871977a26e6fb001f3
> -SHA256 (maxima-5.9.2.tar.gz) = 6a6421ab561914445680bb7707e65577ee6789b4348f95be8c8e2750600cd7a0
> -SIZE (maxima-5.9.2.tar.gz) = 5525687
> +MD5 (maxima-5.9.3.tar.gz) = e6388632d91722bb0607914bdabc72f6
> +SHA256 (maxima-5.9.3.tar.gz) = 1807e46e12b5968ac70643eee32a3479fc06035613086d85366610440842abb9
> +SIZE (maxima-5.3.2.tar.gz) = 8629022
> diff -ruN maxima.orig/pkg-plist maxima/pkg-plist
> --- maxima.orig/pkg-plist	Thu Jan  5 16:46:04 2006
> +++ maxima/pkg-plist	Mon Mar 27 18:07:52 2006
> @@ -24,6 +24,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/doc/EMaximaIntro.ps
>  %%DATADIR%%/%%PORTVERSION%%/doc/contributors
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/intromax.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_1.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_10.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_11.html
> @@ -64,11 +65,23 @@
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_43.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_44.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_45.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_46.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_47.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_48.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_49.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_5.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_50.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_51.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_52.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_53.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_54.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_55.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_6.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_7.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_8.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_9.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_abt.html
> +%%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_ovr.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/html/maxima_toc.html
>  %%DATADIR%%/%%PORTVERSION%%/doc/implementation/dir_vars.txt
>  %%DATADIR%%/%%PORTVERSION%%/doc/implementation/external-interface.txt
> @@ -86,7 +99,6 @@
>  %%DATADIR%%/%%PORTVERSION%%/doc/share/bessel.usg
>  %%DATADIR%%/%%PORTVERSION%%/doc/share/brchre.txt
>  %%DATADIR%%/%%PORTVERSION%%/doc/share/rombrg.usg
> -%%DATADIR%%/%%PORTVERSION%%/doc/share/specfun.texi
>  %%DATADIR%%/%%PORTVERSION%%/doc/share/translation_hints.txt
>  %%DATADIR%%/%%PORTVERSION%%/emacs/bookmode.el
>  %%DATADIR%%/%%PORTVERSION%%/emacs/dbl.el
> @@ -153,6 +165,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/algebra/solver/solver1-en.html
>  %%DATADIR%%/%%PORTVERSION%%/share/algebra/solver/solver1.pdf
>  %%DATADIR%%/%%PORTVERSION%%/share/algebra/solver/test.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/builtins-list.txt
>  %%DATADIR%%/%%PORTVERSION%%/share/calculus/asympa.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/calculus/cartan.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/calculus/cartan.lisp
> @@ -180,21 +193,18 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/calculus/qualsp.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/calculus/revert.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/calculus/taylor1.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/combinatorics/comgen.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/combinatorics/permut.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/combinatorics/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/grobner-demo.output
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/grobner.demo
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/maxima-grobner.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner/grobner.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/Gosper.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/GosperEq.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/LOADZeilberger.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/Zeilberger.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/algUtil.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/compare_sums.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/compatible.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/constants.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/linearAlgebra.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/makeGosperForm.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/norm.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/numerical.mac
> @@ -204,29 +214,22 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/testGosper.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/testZeilberger.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/whatsnew.txt
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger.texi
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger_algorithm.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger/zeilberger_linear_algebra.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/augmented_lagrangian.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/bode.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/cholesky.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/contrib.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/defstruct.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/biomed.data
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/descriptive.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/barsplot1.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/barsplot2.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/boxplot1.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/boxplot2.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot1.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot2.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot3.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot4.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot5.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/dataplot6.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/descriptive_en.tex
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/descriptive_es.tex
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/histogram1.eps
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc/histogram2.eps
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/descriptive.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/pidigits.data
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/wind.data
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/diag.dem
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/devine.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diag.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/diag.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/contrib_ode.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/contrib_ode.usg
> @@ -261,12 +264,11 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests/rtestode_murphy_2_4.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests/rtestode_murphy_2_5.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests/testsuite.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/distrib.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/doc/distrib_en.tex
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/distrib.texi
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/numdistrib.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/eval_string.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/f90.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/f90.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/format/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/format/autoload-m.macsyma
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/format/autoload-mp.macsyma
> @@ -340,9 +342,11 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/test/type.output
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/vaxinit.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/vaxlsp.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/ggf.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/ifactor.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/impdiff.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/lindstedt.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/lsquares.dem
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/log10.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/lsquares.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/lurkmathml/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/lurkmathml/mathml.lisp
> @@ -361,7 +365,6 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/mcclim/listeneroutput.png
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/mcclim/maxima-repl-mcclim.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/mcclim/postscriptoutput.png
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/mnewton.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/mnewton.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/nset/README
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/nset/announce-1.2.txt
> @@ -377,6 +380,8 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/is_equal_array.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/my_flatten.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/numericalio.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/numericalio.texi
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/pipe.data
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/ragged.data
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/ragged.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/really-csv.data
> @@ -384,15 +389,15 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/rectangular.csv
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/rectangular.data
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/rectangular.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/semicolon.data
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/numericalio/separators.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/opsubst.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/battex.sty
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/history.txt
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/pdiff-doc.pdf
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/pdiff-doc.tex
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff/pdiff.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/plotdf.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/plotdf.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/plotdf.usg
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/plsquares.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/plsquares.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/rand/Avg3.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/rand/Demo.bk1
> @@ -452,14 +457,39 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/aliases.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/constants.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/examples.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/linearAlgebra.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/loadSARAG.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/lowLevel.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/readme.txt
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/rootCounting.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/rootIsolation.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/sarag.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/sarag_linear_algebra.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/settings.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag/signDetermination.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Readme.txt
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/Readme.txt
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/adlittle_A.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/adlittle_b.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/adlittle_c.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/afiro_A.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/afiro_b.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/afiro_c.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/kb2_A.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/kb2_b.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/kb2_c.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/klee_minty.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/sc50a_A.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/sc50a_b.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/sc50a_c.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/share2b_A.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/share2b_b.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests/share2b_c.csv
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/minimize_sx.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/simplex.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/simplex.texi
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/simplex_algorithm.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec/solve_rec.dem
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec/solve_rec.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec/solve_rec.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/a.cir
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/b.cir
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/c.cir
> @@ -469,6 +499,10 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/sortem.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/state.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/state/tree.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/stirling.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc/rteststringproc.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc/stringproc.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc/stringproc.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit/unit-functions.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit/unit.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit/unit.texi
> @@ -494,16 +528,21 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/integration/delta.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/integration/delta.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/announcement.txt
> -%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/conjugate.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/eigens-by-jacobi.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg-extra.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg-utilities.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg.demo
> -%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalg.usage
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linalgcholesky.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linearalgebra.demo
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linearalgebra.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/linearalgebra.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/lu.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/matrixexp.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/matrixexp.usage
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/mring.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/polynomialp.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-conjugate.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-cholesky.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-eigens-by-jacobi.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-linalg.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-lu.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/linearalgebra/test-matrixexp.mac
> @@ -586,6 +625,15 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/numeric/simpsn.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/numeric/submac.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/numeric/submac.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/Makefile.am
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/README
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/changes_0.9_to_0.94.txt
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/h_atom.dem
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/orthopoly-init.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/orthopoly.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/orthopoly.texi
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/test_orthopoly.mac
> +%%DATADIR%%/%%PORTVERSION%%/share/orthopoly/variational_method.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/physics/battex.sty
>  %%DATADIR%%/%%PORTVERSION%%/share/physics/dimen.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/physics/dimen.mac
> @@ -602,50 +650,29 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/share.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/absimp.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/absimp.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/absimp.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/disol.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/disol.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/disol.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/elim.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/elim.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/facex1.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/facexp.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/facexp.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/facexp.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/functs.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/functs.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/functs.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/genut.mac
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/ineq.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/ineq.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/ineq.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/lrats.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/lrats.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/lrats.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/rducon.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/rducon.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/rducon.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/rncomb.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/rncomb.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/rncomb.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/scifac.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/scifac.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/scifac.usg
> +%%DATADIR%%/%%PORTVERSION%%/share/simplification/simplification.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/sqdnst.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/sqdnst.usg
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/stopex.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/simplification/stopex.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/simplification/stopex.usg
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/airy.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/ellipt.lisp
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/ellipt.usg
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/gamma.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/h-atom.dem
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/kn.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/specfun.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/specfun.usg
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/test_specfun.mac
> -%%DATADIR%%/%%PORTVERSION%%/share/specfunctions/variational_method.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/sym/arite.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/sym/chbase.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/sym/compile.lisp
> @@ -676,6 +703,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/share/sym/treillis.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/sym/tri.lisp
>  %%DATADIR%%/%%PORTVERSION%%/share/sym/util.lisp
> +%%DATADIR%%/%%PORTVERSION%%/share/template.texi
>  %%DATADIR%%/%%PORTVERSION%%/share/tensor/ademo.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/tensor/adsitter.dem
>  %%DATADIR%%/%%PORTVERSION%%/share/tensor/allnutt.dem
> @@ -766,6 +794,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/src/command-line.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/compar.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/compat.lisp
> +%%DATADIR%%/%%PORTVERSION%%/src/conjugate.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/cpoly.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/csimp.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/csimp2.lisp
> @@ -817,6 +846,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/src/max_ext.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/maxima-package.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/maxmac.lisp
> +%%DATADIR%%/%%PORTVERSION%%/src/maxmin.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/mdebug.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/mdefun.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/mdot.lisp
> @@ -852,6 +882,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9b0mp.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9b1mp.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9lgmc.lisp
> +%%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/d9upak.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dai.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/daie.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dasyik.lisp
> @@ -921,6 +952,7 @@
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dqwgtc.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dqwgtf.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dqwgts.lisp
> +%%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dspenc.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/dyairy.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/fdump.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/initds.lisp
> @@ -970,8 +1002,8 @@
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/zuoik.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerical/slatec/zwrsk.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numerm.lisp
> +%%DATADIR%%/%%PORTVERSION%%/src/nummod.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/numth.lisp
> -%%DATADIR%%/%%PORTVERSION%%/src/nusum.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/ode2.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/opers.lisp
>  %%DATADIR%%/%%PORTVERSION%%/src/optim.lisp
> @@ -1069,20 +1101,30 @@
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtest8.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtest9.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtest9a.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtest_allnummod.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtest_diff_invtrig.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtest_everysome.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtest_scalarp.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtest_trig.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtest_zeta.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtestconjugate.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtesthyp.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtestmcond_display.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtestmt19937.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtestnset.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtestode.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/rtestode_zp.mac
> +%%DATADIR%%/%%PORTVERSION%%/tests/rtestsum.mac
>  %%DATADIR%%/%%PORTVERSION%%/tests/testsuite.lisp
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/demos.html
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/examples.html
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/intro.html
> +%%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-icon.gif
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-icon.ico
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-icon.png
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-new.gif
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/maxima-new.png
> +%%DATADIR%%/%%PORTVERSION%%/xmaxima/msgs/es.msg
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/msgs/ru.msg
>  %%DATADIR%%/%%PORTVERSION%%/xmaxima/plotmaxima.html
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/xmaxima/msgs
> @@ -1097,9 +1139,9 @@
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/tensor/tests
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/tensor
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/sym
> -@dirrm %%DATADIR%%/%%PORTVERSION%%/share/specfunctions
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/simplification
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/physics
> +@dirrm %%DATADIR%%/%%PORTVERSION%%/share/orthopoly
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/numeric
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/misc
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/matrix
> @@ -1109,7 +1151,11 @@
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/integequations
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/diffequations
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/unit
> +@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/stringproc
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/state
> +@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/solve_rec
> +@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex/Tests
> +@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/simplex
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/sarag
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/rand
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/pdiff
> @@ -1122,11 +1168,9 @@
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran/man
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/gentran
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/format
> -@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib/doc
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/distrib
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations/tests
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/diffequations
> -@dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive/doc
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/descriptive
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/Zeilberger
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/share/contrib/Grobner
> @@ -1142,6 +1186,7 @@
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/emacs
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/doc/share
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/doc/misc
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/doc/implementation
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/doc/html
>  @dirrm %%DATADIR%%/%%PORTVERSION%%/doc
> @@ -1150,6 +1195,6 @@
>  @dirrm %%DATADIR%%
>  @dirrm libexec/maxima/%%PORTVERSION%%
>  @dirrm libexec/maxima
> -@dirrm lib/maxima/%%PORTVERSION%%/%%BINDIR%%
> +@dirrm lib/maxima/%%PORTVERSION%%/binary-sbcl
>  @dirrm lib/maxima/%%PORTVERSION%%
>  @dirrm lib/maxima

Thanks for your patch, but I have a problem with pkg-plist:

cd /usr/ports/math
patch -p0 < /tmp/maxima-5.9.3.diff2
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN maxima.orig/Makefile maxima/Makefile
|--- maxima.orig/Makefile       Mon Dec 26 21:41:42 2005
|+++ maxima/Makefile    Mon Mar 27 18:07:52 2006
--------------------------
Patching file maxima/Makefile using Plan A...
Hunk #1 succeeded at 6.
Hunk #2 succeeded at 19.
Hunk #3 succeeded at 31.
Hunk #4 succeeded at 92.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN maxima.orig/distinfo maxima/distinfo
|--- maxima.orig/distinfo       Mon Dec 26 21:41:42 2005
|+++ maxima/distinfo    Mon Mar 27 18:07:52 2006
--------------------------
Patching file maxima/distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN maxima.orig/pkg-plist maxima/pkg-plist
|--- maxima.orig/pkg-plist      Thu Jan  5 16:46:04 2006
|+++ maxima/pkg-plist   Mon Mar 27 18:07:52 2006
--------------------------
Patching file maxima/pkg-plist using Plan A...
Hunk #1 succeeded at 24.
Hunk #2 succeeded at 65.
Hunk #3 succeeded at 99.
Hunk #4 succeeded at 165.
Hunk #5 succeeded at 193.
Hunk #6 succeeded at 214.
Hunk #7 succeeded at 264.
Hunk #8 succeeded at 342.
Hunk #9 succeeded at 365.
Hunk #10 succeeded at 380.
Hunk #11 succeeded at 389.
Hunk #12 succeeded at 457.
Hunk #13 succeeded at 499.
Hunk #14 succeeded at 528.
Hunk #15 succeeded at 625.
Hunk #16 succeeded at 650.
Hunk #17 succeeded at 703.
Hunk #18 succeeded at 794.
Hunk #19 succeeded at 846.
Hunk #20 succeeded at 882.
Hunk #21 succeeded at 952.
Hunk #22 succeeded at 1002.
Hunk #23 succeeded at 1101.
Hunk #24 succeeded at 1139.
Hunk #25 succeeded at 1151.
Hunk #26 succeeded at 1168.
patch: **** malformed patch at line 517: @@ -1150,6 +1195,6 @@

Regards,
-- 
Th. Thomas.
Comment 6 Thierry Thomas freebsd_committer 2006-03-29 21:46:36 UTC
State Changed
From-To: feedback->closed


Committed, thanks!